package com.hungraim.ltc.constant;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 *
 * 线索分配状态
 * @author hubin
 */

@NoArgsConstructor
@AllArgsConstructor
public enum AssignStatus {

    //分配情况
    ASSIGNED("1", "已分配"),
    UNASSIGNED("0", "未分配");
    /**
     * 编码
     */
    private  String code;
    /**
     * 描述
     */
    private  String desc;

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}
