package com.hungraim.ltc.pojo.entity.SysConfig;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("CH_CFG_PROPERTIES")
public class ChCfgProperties {
    /**
     * 配置ID
     */
    private Integer propertiesId;

    /**
     * null
     */
    private String key;

    /**
     * null
     */
    private String value;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 开关名称
     */
    private String propertiesName;

    /**
     * 所属省
     */
    private String districtProvincial;

    /**
     * 所属市
     */
    private String districtCity;

    /**
     * 所属区
     */
    private String districtArea;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态 （0，有效,1，无效）
     */
    private Integer status;

    /**
     * 是否页面展示 （0，展示,1，不展示）
     */
    private Integer visible;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;
}
