package com.hungraim.ltc.pojo.entity.SysConfig;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_CFG_SRV_MODE
 * @author 
 */
@Data
@TableName("CH_CFG_SRV_MODE")
@KeySequence("SEQ_CH_CFG_SRV_MODE")
public class ChCfgSrvMode implements Serializable {
    /**
     * 服务方式id
     */
    @TableId(type = IdType.INPUT)
    private Long modeId;

    /**
     * 服务方式名称
     */
    private String modeName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 服务项目配置id
     */
    private Long serviceId;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 服务方式id
     */
    private Long fndModeId;

    /**
     * 待遇资格起始日规则（0：首次评估结论书打印次日）
     */
    private Short treatmentStartQualif;

    /**
     * 待遇享受起始日规则（0：首次评估结论书打印次日；1：签订服务协议后）
     */
    private Short treatmentEnjoyQualif;

    /**
     * 待遇备注
     */
    private String treatmentRemark;

    private static final long serialVersionUID = 1L;
}