package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
@Data
@TableName("CH_CFG_APR_GROUP_DETAIL")
@KeySequence("SEQ_CH_CFG_APR_GROUP_DETAIL")
public class ChCfgAprGroupDetail {
    /**
     * 评定参数列表ID
     */
    @TableId(value = "detail_id", type = IdType.INPUT)
    private Integer detailId;

    /**
     * 鉴定任务分组配置ID
     */
    private Integer groupId;

    /**
     * 所在省
     */
    private String districtProvince;

    /**
     * 所在市
     */
    private String districtCity;

    /**
     * 所在区
     */
    private String districtArea;

    /**
     * 评定起点街道
     */
    private String street;

    /**
     * 评定起点详情
     */
    private String addressDetail;

    /**
     * 评定起点地址
     */
    private String address;

    /**
     * 评定任务开始时间
     */
    private String evaluateTaskStartTime;

    /**
     * 评定任务结束时间
     */
    private String evaluateTaskEndTime;

    /**
     * 中午休息开始时间
     */
    private String noonBreakStartTime;

    /**
     * 中午休息结束时间
     */
    private String noonBreakEndTime;

    /**
     * 评定任务时长
     */
    private Integer evaluateTaskTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;

    /**
     * 状态（有效:0；无效:1）
     */
    private Integer status;

    /**
     * 中午休息时长（分钟）
     */
    private Integer noonBreak;
}
