package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_CFG_APR_ITEM_CLAUSE
 * @author 
 */
@Data
@TableName("CH_CFG_APR_ITEM_CLAUSE")
@KeySequence("SEQ_CH_CFG_APR_ITEM_CLAUSE")
public class ChCfgAprItemClause implements Serializable {
    /**
     * 鉴定明细id
     */
    @TableId(type = IdType.INPUT)
    private Long clauseId;

    /**
     * 鉴定明细描述
     */
    private String clauseDesc;

    /**
     * 参考分值
     */
    private Short clauseValue;

    /**
     * 鉴定项目id
     */
    private Long itemId;

    /**
     * 鉴定配置id
     */
    private Long aprId;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 分数对应id
     */
    private Short taskScoreId;

    private static final long serialVersionUID = 1L;
}