package com.hungraim.ltc.pojo.entity.dept;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("CH_FND_DEPT")
public class ChFndDept {
    /**
     * 组织ID
     */
    private Integer deptId;

    /**
     * 组织代码
     */
    private String deptCode;

    /**
     * 组织名称
     */
    private String deptName;

    /**
     * 组织简称
     */
    private String deptAbbr;

    /**
     * 父组织ID
     */
    private String parentId;

    /**
     * 是否叶子结点
     */
    private String isLeaf;

    /**
     * 状态(1-有效;2-无效)
     */
    private String status;

    /**
     * 创建日期
     */
    private Date foundDate;

    /**
     * 撤销日期
     */
    private Date revokeDate;

    /**
     * 撤销原因
     */
    private Integer revokeCause;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 组织分类
     */
    private Integer deptCate;

    /**
     * 组织子类
     */
    private Integer deptGrade;

    /**
     * 地址
     */
    private String addr;

    /**
     * 邮编
     */
    private String zip;

    /**
     * 电话
     */
    private String tel;

    /**
     * 区号
     */
    private String areaCode;

    /**
     * 传真
     */
    private String fax;

    /**
     * EMail
     */
    private String email;

    /**
     * 组织所属部门
     */
    private Integer deptFamily;

    /**
     * null
     */
    private Date fcd;

    /**
     * null
     */
    private Integer fcu;

    /**
     * null
     */
    private Date lcd;

    /**
     * null
     */
    private Integer lcu;

    /**
     * HR系统部门主键
     */
    private String hrDeptId;
}
