package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_CFG_SRV_DISABLE_LEVEL
 *
 * @author zhangch
 */
@Data
@TableName("CH_CFG_SRV_DISABLE_LEVEL")
@KeySequence("SEQ_CH_CFG_SRV_DISABLE_LEVEL")
public class ChCfgSrvDisableLevel implements Serializable {
    /**
     * 失能等级id
     */
    @TableId(type = IdType.INPUT)
    private Long disableLevelId;

    /**
     * 失能等级名称
     */
    private String disableLevelName;

    /**
     * 起始值是否包含    包含：0;不包含：1
     */
    private Short startValueFlag;

    /**
     * 起始值
     */
    private Short startValue;

    /**
     * 终止值是否包含   包含：0;不包含：1
     */
    private Short endValueFlag;

    /**
     * 终止值
     */
    private Short endValue;

    /**
     * 备注
     */
    private String remark;

    /**
     * 服务项目配置id
     */
    private Long serviceId;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    private static final long serialVersionUID = 1L;
}