package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 失能人员账户
 */
@Data
@TableName("CH_DEPOSIT_ACCT")
public class ChDepositAcct {
    /**
     * 账户id
     */
    private Integer acctId;

    /**
     * 失能人员ID
     */
    private Integer disableInfoId;

    /**
     * 账户状态   有效：0；失效：1
     */
    private Integer acctStatus;

    /**
     * 账户金额
     */
    private Integer acctAmount;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 冻结时间
     */
    private Date cancelDate;

    /**
     * 所在省份
     */
    private String districtProvincial;

    /**
     * 所在城市
     */
    private String districtCity;

    /**
     * 所在区域
     */
    private String districtArea;

    /**
     * 创建人
     */
    private Integer defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Integer endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;
}
