package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 失能人员风险等级历史
 */
@Data
@TableName("CH_DISABLE_RISK_LEVEL_HIS")
public class ChDisableRiskLevelHis {
    /**
     * 主键ID
     */
    private Integer disaRiskLevelHisId;

    /**
     * 等级表主键ID
     */
    private Integer disaRiskLevelId;

    /**
     * 失能人员ID
     */
    private Integer disabInfoId;

    /**
     * 失能人员可疑任务数量（近30天）
     */
    private Integer disabSuspCou;

    /**
     * 失能人员任务数量（近30天）
     */
    private Integer disabSumCou;

    /**
     * 风险等级百分比
     */
    private String riskLevelPercent;

    /**
     * 风险等级(0低风险，1中风险，2高风险，3无任务)
     */
    private Integer riskLevel;

    /**
     * 状态(0有效，1失效)
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;
}
