package com.hungraim.ltc.pojo.entity.role;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("TPPES_CH_ROLE")
public class TppesChRole {
    /**
     * 角色ID
     */
    private Integer roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色描述
     */
    private String depict;

    /**
     * 角色状态 0 在用  1 停用
     */
    private Integer roleStatus;

    /**
     * 角色停用时间
     */
    private Date roleStopDate;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;
}
