package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("CH_SRV_SEND_EVALUATE")
public class ChSrvSendEvaluate {
    /**
     * 自评服务分配ID
     */
    private Integer srvSendEvaluateId;

    /**
     * 护理机构ID
     */
    private Integer srvOrganId;

    /**
     * 服务方式ID
     */
    private Integer srvModeId;

    /**
     * 自评人员ID
     */
    private Integer evaluateId;

    /**
     * 分配时间
     */
    private Date allotTime;

    /**
     * 接受服务省
     */
    private String acptProvincial;

    /**
     * 接受服务市
     */
    private String acptCity;

    /**
     * 接受服务区
     */
    private String acptArea;

    /**
     * 接受服务街道
     */
    private String acptStreet;

    /**
     * 接受服务详细地址
     */
    private String acptAddress;

    /**
     * 接受服务类型 现在址：0,机构地址：1,其他：2
     */
    private Integer acptType;

    /**
     * 是否有效 有效：0，无效：1
     */
    private Integer isValid;

    /**
     * 创建人
     */
    private Integer defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;
}
