package com.hungraim.ltc.pojo.vo.assessment;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 分配历史信息列表VO
 *
 * @author czz
 */
@Data
public class AllotTaskHisVO {
    //分配历史id
    private String hisTaskPushId;
    //评定任务id
    private String taskId;
    //分配时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date assignTime;
    //组号
    private String groupNumber;
    //预约日期
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date time;
    //评定机构
    private String organName;
    //评定组长
    private String realName;
    //拒绝时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date refuseTime;
    //状态
    private String status;
    //拒绝原因
    private String refuseReason;
    //备注
    private String refuseRemark;
}
