package com.hungraim.ltc.pojo.vo.disable;

import com.hungraim.ltc.pojo.entity.PageInfo;

import java.io.Serializable;
import java.util.Date;

/**
 * 失能评定列表VO
 */
public class DisableEvaluateVO extends PageInfo implements Serializable {
    //id
    private String evaluateId;
    //适用机构
    private String organName;
    //机构代码
    private String organId;
    //所在省市
    private String provincial;
    private String city;
    private String area;
    //失能人员姓名
    private String realName;
    //失能人员身份证号码
    private String certiCode;
    //年龄
    //诊断疾病
    private String diseaseDesc;
    //失能人员手机号码
    private String tel;
    //意向服务机构
    private String srvOrgenId;
    //申请护理方式
    private String modeId;
    //综合评定时间
    private Date evaluateTime;
    //评定等级

    public String getEvaluateId() {
        return evaluateId;
    }

    public void setEvaluateId(String evaluateId) {
        this.evaluateId = evaluateId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getProvincial() {
        return provincial;
    }

    public void setProvincial(String provincial) {
        this.provincial = provincial;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getCertiCode() {
        return certiCode;
    }

    public void setCertiCode(String certiCode) {
        this.certiCode = certiCode;
    }

    public String getDiseaseDesc() {
        return diseaseDesc;
    }

    public void setDiseaseDesc(String diseaseDesc) {
        this.diseaseDesc = diseaseDesc;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getSrvOrgenId() {
        return srvOrgenId;
    }

    public void setSrvOrgenId(String srvOrgenId) {
        this.srvOrgenId = srvOrgenId;
    }

    public String getModeId() {
        return modeId;
    }

    public void setModeId(String modeId) {
        this.modeId = modeId;
    }

    public Date getEvaluateTime() {
        return evaluateTime;
    }

    public void setEvaluateTime(Date evaluateTime) {
        this.evaluateTime = evaluateTime;
    }
}
