package com.hungraim.ltc.pojo.vo.disable;

import lombok.Data;

import java.util.List;

@Data
public class DistrictTreeVo {
    /**
     * 区域code
     */
    private String districtCode;
    /**
     * 区域级别:1省2地级市3县4街道
     */
    private Integer districtLevel = 4;
    /**
     * 区域名称
     */
    private String districtName;
    /**
     * 父级id
     */
    private String parentDistrictCode;

    /**
     * 省市区子节点
     */
    private List<DistrictTreeVo> childDistrict;

    /**
     * 街道子节点
     */
    private List<DistrictTreeVo> childStreet;
}
