package com.hungraim.ltc.pojo.vo.governance;

import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * 失能评定标准定义列表VO
 */
@Data
public class CfgAprVO extends PageInfo implements Serializable {
    /**
     * 评定标准配置id
     */
    private Integer aprId;
    /**
     * 适用机构
     */
    private String organName;
    /**
     * 机构代码
     */
    private Integer organId;
    /**
     * 模板名称
     */
    private String estimateName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态
     */
    private String status;
}
