package com.hungraim.ltc.governance.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.vo.governance.DisableInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;


@Mapper
public interface DisableInfoMapper extends BaseMapper<ChDisableInfo> {


    @Select("select s.real_name," +
            "       s.acpt_provincial," +
            "       s.acpt_city," +
            "       s.acpt_area," +
            "       s.gender," +
            "       s.birthday," +
            "       s.certi_code," +
            "       s.tel," +
            "       s.disease," +
            "       i.srv_mode_id," +
            "       s.srv_organ_intent," +
            "       j.permit_id," +
            "       j.srv_organ_name," +
            "       i.allot_time," +
            "       i.stop_time," +
            "       i.status," +
            "       i.acpt_address" +
            "       from ch_srv_send i" +
            "       left join ch_disable_info s " +
            "       on s.disab_info_id = i.disab_info_id" +
            "       left join ch_srv_organ j" +
            "       on s.organ_id = j.organ_id" +
            "       where i.status=#{disableInfoId}")
    Page<DisableInfoVo> querySrvYet(Page page,Integer disableInfoId);
}
