package com.hungraim.ltc.governance.service;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.governance.CfgAprVO;
import org.springframework.stereotype.Service;

/**
 * 失能评定标准service
 *
 * @author czz
 */
@Service
public interface DisableAssessmentCriteriaService {
    void addOrUpdateDisableAssessmentCriteria(Long aprId, String organId, String estimateName, String remark, Integer status, JSONArray project);

    Page<CfgAprVO> getDisableAssessmentCriteriaList(Page<CfgAprVO> page, String organIds, String aprName, String status);

    void stopDisableAssessmentCriteria(String aprId);
}
