package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.governance.dao.DisableInfoMapper;
import com.hungraim.ltc.governance.service.DisableInfoServie;
import com.hungraim.ltc.pojo.entity.disable.ChDisableInfo;
import com.hungraim.ltc.pojo.vo.governance.DisableInfoVo;
import com.hungraim.ltc.pojo.vo.governance.SrvSendVO;
import org.springframework.stereotype.Service;


@Service
public class DisableInfoServieImpl extends ServiceImpl<DisableInfoMapper, ChDisableInfo> implements DisableInfoServie {


    @Override
    public Page<DisableInfoVo> querySrvYet(Integer disableInfoId, int current, int limit) {
        Page<SrvSendVO> page = new Page<>(current,limit);
        return this.baseMapper.querySrvYet(page,disableInfoId);
    }
}
