package com.hungraim.ltc.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.system.SystemResource;

import java.util.List;

/**
 * 资源
 * @author hubin
 */
public interface ISystemResourceService extends IService<SystemResource> {

  /**
   * 将mysql中的资源角色关系缓存到redis中
   */
  void refreshPermissionRolesCache();

  /**
   * 查询所有资源对应的角色
   * @return list
   */
  List<SystemResource> listResourceRoles();
}
