![](https://img.shields.io/badge/ltc--services-v1.0.0-blue)
![](https://img.shields.io/badge/SpringBoot-2.3.2-brightgreen.svg)
![](https://img.shields.io/badge/SpringCloud-Hoxton.SR8-green.svg)

## 项目说明

> 1. 依赖环境说明
>    [](https://img.shields.io/badge/Rancher、k8s、docker-green)
>
>    项目环境，部署在`121.5.28.27`
>
>    ![](https://img.shields.io/badge/harbor-green)
>
>    docker镜像仓库，使用`docker`部署在`121.5.28.27` 用户名：`admin`密码：`Hg123harbor`
>
>    ![](https://img.shields.io/badge/nexus-green)
>
>    maven仓库，使用`docker`部署在`121.5.28.27` 用户名：`admin`密码：`Hg123nexus`
>
>    ![](https://img.shields.io/badge/jenkins-green)
>
>    自动化部署，使用`docker`部署在`121.5.28.27` 用户名：`admin`密码：`Hg123jenkins`
>
>    ![](https://img.shields.io/badge/nacos-green)
>
>    用于服务注册与配置中心,部署砸`Rancher`中
>
>    ![](https://img.shields.io/badge/mysql-green)
>
>    项目数据库，使用`docker`部署在`129.211.99.254`,数据库：`qywchat`用户名：`dev`密码：`Hgdev#012Qw`
>
>    ![](https://img.shields.io/badge/redis-green)
>
>    项目缓存数据,使用`docker`部署在`129.211.99.254` 密码:`Hgdevreids#012Qw`s

> 2. 工程说明
>
>     `auth` 鉴权中心
>
>     `common` 常用包的父类  打成jar包给到其他项目引用
>
>     `common-core` 工具类和pojo写在该工程下 打成jar包给到其他项目引用
>
>     `common-mybatis` mybatis的依赖  打成jar包给到其他项目引用
>
>     `common-redis` redis的依赖  打成jar包给到其他项目引用
>
>     `gateway` 网关
>
>     `system` 系统服务
>
>      `system-api` 系统服务提供费feign API，打成jar包给到其他需要使用系统服务的项目引用
>
>      `system-admin-service` 系统服务的业务代码，

>3.部署说明
>
>   1） 如果是增加了服务，请在服务根目录新增`DOCKERFILE`和`deployment.yaml`文件，可参考`gateway`和`auth`服务，
> 并且在主项目根目录的`build.sh`增加服务的构建工作
>   2） 如果是增加服务`api`的依赖jar包，请参考`common-core`、`common-mybatis`、`system-api`等子项目，
> 并且在主项目根目录的`build.sh`增加将jar包提交远程仓库的操作（在`buildDeploys`中加入路径即可）


