package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_CFG_APR
 * @author 
 */
@Data
@TableName("CH_CFG_APR")
@KeySequence("SEQ_CH_CFG_APR")
public class ChCfgApr implements Serializable {
    /**
     * 鉴定配置id
     */
    @TableId(type = IdType.INPUT)
    private Long aprId;

    /**
     * 机构代码
     */
    private String organId;

    /**
     * 鉴定配置名称
     */
    private String estimateName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态    未生效：0；已生效：1；已失效：2
     */
    private Short status;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    private static final long serialVersionUID = 1L;
}