package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_CFG_APR_ITEM
 * @author 
 */
@Data
@TableName("CH_CFG_APR_ITEM")
@KeySequence("SEQ_CH_CFG_APR_ITEM")
public class ChCfgAprItem implements Serializable {
    /**
     * 鉴定项目id
     */
    @TableId(type = IdType.INPUT)
    private Long itemId;

    /**
     * 鉴定项目名称
     */
    private String itemName;

    /**
     * 最小值
     */
    private Short minValue;

    /**
     * 最大值
     */
    private Short maxValue;

    /**
     * 鉴定配置id
     */
    private Long aprId;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    private static final long serialVersionUID = 1L;
}