package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 拒绝原因基表：ch_refuse_reason
 */
@Data
@TableName("CH_REFUSE_REASON")
@KeySequence("SEQ_CH_REFUSE_REASON")
public class ChRefuseReason {
    /**
     * 拒绝原因id
     */
    @TableId(value = "refuse_reason_id", type = IdType.INPUT)
    private Integer refuseReasonId;

    /**
     * 拒绝原因名称
     */
    private String refuseReason;
}
