package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 失能人员账户交易
 */
@Data
@TableName("CH_DEPOSIT_TRNS")
public class ChDepositTrns {
    /**
     * 交易ID
     */
    private Integer trnsId;

    /**
     * 账户ID
     */
    private Integer acctId;

    /**
     * 交易金额
     */
    private Integer depositAmount;

    /**
     * 交易时间
     */
    private Date depositDate;

    /**
     * 业务ID, 任务明细ID
     */
    private Integer busiId;

    /**
     * 交易类型 收：0；支：1
     */
    private Integer depositType;

    /**
     * 本次交易余额
     */
    private Integer balanceAmount;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;
}
