package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 失能评定
 */
@Data
@TableName("CH_DISABLE_EVALUATE")
public class ChDisableEvaluate implements Serializable {
    private Integer evaluateId;
    private String certiCode;
    private Integer medicalType;
    private String diseaseDesc;
    private String checkName;
    private String accName;
    private String cardType;
    private String areaCode;
    private String provinceCode;
    private Integer diseaseLevel1;
    private Integer diseaseLevel2;
    private String bankNo;
    private Integer operRelation;
    private Integer sTATUS;
    private Date allotTime;
    private Integer webEndEmp;
    private Integer srvOrgenId;
    private Integer webDefineEmp;
    private String districtArea;
    private String bankRemark;
    private Integer modeId;
    private Date evaluateTime;
    private String addressResidential;
    private String contactName;
    private String bankDistrictWebsite;
    private String cityCode;
    private Integer checkStatus;
    private String districtProvince;
    private String addressDetail;
    private Date fCD;
    private Integer srvModeId;
    private String contactTel;
    private Date lCD;
    private String realName;
    private Integer treatmentType;
    private String streetCode;
    private Integer dataFrom;
    private String organId;
    private String districtCity;
    private String contactCertiCode;
    private String bankDistrictCity;
    private String refuseRemark;
    private Integer fCU;
    private String bankAccCode;
    private String tEL;
    private String bankDistrictProvincial;
    private String checkRemark;
    private Integer lCU;

    public ChDisableEvaluate() {
        super();
    }

    public ChDisableEvaluate(Integer evaluateId, String certiCode, Integer medicalType, String diseaseDesc, String checkName, String accName, String cardType, String areaCode, String provinceCode, Integer diseaseLevel1, Integer diseaseLevel2, String bankNo, Integer operRelation, Integer sTATUS, java.util.Date allotTime, Integer webEndEmp, Integer srvOrgenId, Integer webDefineEmp, String districtArea, String bankRemark, Integer modeId, java.util.Date evaluateTime, String addressResidential, String contactName, String bankDistrictWebsite, String cityCode, Integer checkStatus, String districtProvince, String addressDetail, java.util.Date fCD, Integer srvModeId, String contactTel, java.util.Date lCD, String realName, Integer treatmentType, String streetCode, Integer dataFrom, String organId, String districtCity, String contactCertiCode, String bankDistrictCity, String refuseRemark, Integer fCU, String bankAccCode, String tEL, String bankDistrictProvincial, String checkRemark, Integer lCU) {
        super();
        this.evaluateId = evaluateId;
        this.certiCode = certiCode;
        this.medicalType = medicalType;
        this.diseaseDesc = diseaseDesc;
        this.checkName = checkName;
        this.accName = accName;
        this.cardType = cardType;
        this.areaCode = areaCode;
        this.provinceCode = provinceCode;
        this.diseaseLevel1 = diseaseLevel1;
        this.diseaseLevel2 = diseaseLevel2;
        this.bankNo = bankNo;
        this.operRelation = operRelation;
        this.sTATUS = sTATUS;
        this.allotTime = allotTime;
        this.webEndEmp = webEndEmp;
        this.srvOrgenId = srvOrgenId;
        this.webDefineEmp = webDefineEmp;
        this.districtArea = districtArea;
        this.bankRemark = bankRemark;
        this.modeId = modeId;
        this.evaluateTime = evaluateTime;
        this.addressResidential = addressResidential;
        this.contactName = contactName;
        this.bankDistrictWebsite = bankDistrictWebsite;
        this.cityCode = cityCode;
        this.checkStatus = checkStatus;
        this.districtProvince = districtProvince;
        this.addressDetail = addressDetail;
        this.fCD = fCD;
        this.srvModeId = srvModeId;
        this.contactTel = contactTel;
        this.lCD = lCD;
        this.realName = realName;
        this.treatmentType = treatmentType;
        this.streetCode = streetCode;
        this.dataFrom = dataFrom;
        this.organId = organId;
        this.districtCity = districtCity;
        this.contactCertiCode = contactCertiCode;
        this.bankDistrictCity = bankDistrictCity;
        this.refuseRemark = refuseRemark;
        this.fCU = fCU;
        this.bankAccCode = bankAccCode;
        this.tEL = tEL;
        this.bankDistrictProvincial = bankDistrictProvincial;
        this.checkRemark = checkRemark;
        this.lCU = lCU;
    }

    public Integer getEvaluateId() {
        return this.evaluateId;
    }

    public void setEvaluateId(Integer evaluateId) {
        this.evaluateId = evaluateId;
    }

    public String getCertiCode() {
        return this.certiCode;
    }

    public void setCertiCode(String certiCode) {
        this.certiCode = certiCode;
    }

    public Integer getMedicalType() {
        return this.medicalType;
    }

    public void setMedicalType(Integer medicalType) {
        this.medicalType = medicalType;
    }

    public String getDiseaseDesc() {
        return this.diseaseDesc;
    }

    public void setDiseaseDesc(String diseaseDesc) {
        this.diseaseDesc = diseaseDesc;
    }

    public String getCheckName() {
        return this.checkName;
    }

    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    public String getAccName() {
        return this.accName;
    }

    public void setAccName(String accName) {
        this.accName = accName;
    }

    public String getCardType() {
        return this.cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getAreaCode() {
        return this.areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getProvinceCode() {
        return this.provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public Integer getDiseaseLevel1() {
        return this.diseaseLevel1;
    }

    public void setDiseaseLevel1(Integer diseaseLevel1) {
        this.diseaseLevel1 = diseaseLevel1;
    }

    public Integer getDiseaseLevel2() {
        return this.diseaseLevel2;
    }

    public void setDiseaseLevel2(Integer diseaseLevel2) {
        this.diseaseLevel2 = diseaseLevel2;
    }

    public String getBankNo() {
        return this.bankNo;
    }

    public void setBankNo(String bankNo) {
        this.bankNo = bankNo;
    }

    public Integer getOperRelation() {
        return this.operRelation;
    }

    public void setOperRelation(Integer operRelation) {
        this.operRelation = operRelation;
    }

    public Integer getSTATUS() {
        return this.sTATUS;
    }

    public void setSTATUS(Integer sTATUS) {
        this.sTATUS = sTATUS;
    }

    public java.util.Date getAllotTime() {
        return this.allotTime;
    }

    public void setAllotTime(java.util.Date allotTime) {
        this.allotTime = allotTime;
    }

    public Integer getWebEndEmp() {
        return this.webEndEmp;
    }

    public void setWebEndEmp(Integer webEndEmp) {
        this.webEndEmp = webEndEmp;
    }

    public Integer getSrvOrgenId() {
        return this.srvOrgenId;
    }

    public void setSrvOrgenId(Integer srvOrgenId) {
        this.srvOrgenId = srvOrgenId;
    }

    public Integer getWebDefineEmp() {
        return this.webDefineEmp;
    }

    public void setWebDefineEmp(Integer webDefineEmp) {
        this.webDefineEmp = webDefineEmp;
    }

    public String getDistrictArea() {
        return this.districtArea;
    }

    public void setDistrictArea(String districtArea) {
        this.districtArea = districtArea;
    }

    public String getBankRemark() {
        return this.bankRemark;
    }

    public void setBankRemark(String bankRemark) {
        this.bankRemark = bankRemark;
    }

    public Integer getModeId() {
        return this.modeId;
    }

    public void setModeId(Integer modeId) {
        this.modeId = modeId;
    }

    public java.util.Date getEvaluateTime() {
        return this.evaluateTime;
    }

    public void setEvaluateTime(java.util.Date evaluateTime) {
        this.evaluateTime = evaluateTime;
    }

    public String getAddressResidential() {
        return this.addressResidential;
    }

    public void setAddressResidential(String addressResidential) {
        this.addressResidential = addressResidential;
    }

    public String getContactName() {
        return this.contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getBankDistrictWebsite() {
        return this.bankDistrictWebsite;
    }

    public void setBankDistrictWebsite(String bankDistrictWebsite) {
        this.bankDistrictWebsite = bankDistrictWebsite;
    }

    public String getCityCode() {
        return this.cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public Integer getCheckStatus() {
        return this.checkStatus;
    }

    public void setCheckStatus(Integer checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getDistrictProvince() {
        return this.districtProvince;
    }

    public void setDistrictProvince(String districtProvince) {
        this.districtProvince = districtProvince;
    }

    public String getAddressDetail() {
        return this.addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public java.util.Date getFCD() {
        return this.fCD;
    }

    public void setFCD(java.util.Date fCD) {
        this.fCD = fCD;
    }

    public Integer getSrvModeId() {
        return this.srvModeId;
    }

    public void setSrvModeId(Integer srvModeId) {
        this.srvModeId = srvModeId;
    }

    public String getContactTel() {
        return this.contactTel;
    }

    public void setContactTel(String contactTel) {
        this.contactTel = contactTel;
    }

    public java.util.Date getLCD() {
        return this.lCD;
    }

    public void setLCD(java.util.Date lCD) {
        this.lCD = lCD;
    }

    public String getRealName() {
        return this.realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getTreatmentType() {
        return this.treatmentType;
    }

    public void setTreatmentType(Integer treatmentType) {
        this.treatmentType = treatmentType;
    }

    public String getStreetCode() {
        return this.streetCode;
    }

    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

    public Integer getDataFrom() {
        return this.dataFrom;
    }

    public void setDataFrom(Integer dataFrom) {
        this.dataFrom = dataFrom;
    }

    public String getOrganId() {
        return this.organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getDistrictCity() {
        return this.districtCity;
    }

    public void setDistrictCity(String districtCity) {
        this.districtCity = districtCity;
    }

    public String getContactCertiCode() {
        return this.contactCertiCode;
    }

    public void setContactCertiCode(String contactCertiCode) {
        this.contactCertiCode = contactCertiCode;
    }

    public String getBankDistrictCity() {
        return this.bankDistrictCity;
    }

    public void setBankDistrictCity(String bankDistrictCity) {
        this.bankDistrictCity = bankDistrictCity;
    }

    public String getRefuseRemark() {
        return this.refuseRemark;
    }

    public void setRefuseRemark(String refuseRemark) {
        this.refuseRemark = refuseRemark;
    }

    public Integer getFCU() {
        return this.fCU;
    }

    public void setFCU(Integer fCU) {
        this.fCU = fCU;
    }

    public String getBankAccCode() {
        return this.bankAccCode;
    }

    public void setBankAccCode(String bankAccCode) {
        this.bankAccCode = bankAccCode;
    }

    public String getTEL() {
        return this.tEL;
    }

    public void setTEL(String tEL) {
        this.tEL = tEL;
    }

    public String getBankDistrictProvincial() {
        return this.bankDistrictProvincial;
    }

    public void setBankDistrictProvincial(String bankDistrictProvincial) {
        this.bankDistrictProvincial = bankDistrictProvincial;
    }

    public String getCheckRemark() {
        return this.checkRemark;
    }

    public void setCheckRemark(String checkRemark) {
        this.checkRemark = checkRemark;
    }

    public Integer getLCU() {
        return this.lCU;
    }

    public void setLCU(Integer lCU) {
        this.lCU = lCU;
    }

}
