package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 失能人员地址经纬度
 */
@Data
@TableName("CH_DISABLE_LONGITUDE")
public class ChDisableLongitude {
    /**
     * 经纬度ID
     */
    private Integer disableSongitudeId;

    /**
     * 失能人员ID
     */
    private Integer applyId;

    /**
     * 现住址经度
     */
    private String addressOngitude;

    /**
     * 现住址纬度
     */
    private String addressAtitude;

    /**
     * 接受评定地址经度
     */
    private String acptOngitude;

    /**
     * 接受评定地址纬度
     */
    private String acptAtitude;

    /**
     * 代办人地址经度
     */
    private String agentOngitude;

    /**
     * 代办人地址纬度
     */
    private String agentAtitude;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;
}
