package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * ipad失能人员个人信息
 */
@Data
@TableName("TPPES_CH_DISABILITY_INFO1")
public class TppesChDisabilityInfo1 {
    /**
     * 失能人员ID
     */
    private BigDecimal disabilityId;

    /**
     * 鉴定任务ID
     */
    private String taskId;

    /**
     * 失能人员姓名
     */
    private String realName;

    /**
     * 失能人员所在省
     */
    private String pro;

    /**
     * 失能人员所在市
     */
    private String city;

    /**
     * 失能人员身份证号码
     */
    private String certiCode;

    /**
     * 失能人员出生日期
     */
    private String birthDate;

    /**
     * 失能人员性别
     */
    private String sex;

    /**
     * 失能人员联系电话
     */
    private String tel;

    /**
     * 诊断疾病
     */
    private String disease;

    /**
     * 病情描述及诊断
     */
    private String diseaseDesc;

    /**
     * 失能人员现住址
     */
    private String addres;

    /**
     * 机构ID
     */
    private String organId;

    /**
     * 机构名称
     */
    private String organName;

    /**
     * 数据插入时间
     */
    private Date insertTime;

    /**
     * 大病代码
     */
    private String typefId;

    /**
     * 大病名称
     */
    private String typefName;

    /**
     * 小病代码
     */
    private String typesId;

    /**
     * 小病名称
     */
    private String typesName;

    /**
     * 接受评定地址省代码
     */
    private String acptproCode;

    /**
     * 接受评定地址省名称
     */
    private String acptproName;

    /**
     * 接受评定地址市代码
     */
    private String acptcityCode;

    /**
     * 接受评定地址市名称
     */
    private String acptcityName;

    /**
     * 接受评定地址区县代码
     */
    private String acptareaCode;

    /**
     * 接受评定地址区县名称
     */
    private String acptareaName;

    /**
     * 接受评定地址街道代码
     */
    private String acptstreetCode;

    /**
     * 接受评定地址街道名称
     */
    private String acptstreetName;

    /**
     * 接受评定地址详情
     */
    private String acptAdd;

    /**
     * 接受地址类型代码
0：现在址,1：机构地址,2：其他
     */
    private String acptaddTypeCode;

    /**
     * 接受地址类型名称
     */
    private String acptaddTypeName;

    /**
     * 服务方式id
     */
    private String modeId;

    /**
     * 服务方式名称
     */
    private String modeName;

    /**
     * 服务方式描述
     */
    private String modeDesc;
}
