package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 长护失能和护理人员信息
 */
@Data
@TableName("TPPES_FND_CH_USER_INFO1")
public class TppesFndChUserInfo1 {
    /**
     * 主键
     */
    private BigDecimal infoId;

    /**
     * 护理/失能人员id/鉴定人员id/监管人员id
     */
    private BigDecimal userId;

    /**
     * 证件类型
     */
    private String certiType;

    /**
     * 证件号码
     */
    private String certiCode;

    /**
     * 用户名
     */
    private String realName;

    /**
     * 手机号
     */
    private String mp;

    /**
     * 用户状态（0有效1无效）
     */
    private String status;

    /**
     * 用户类型（0护理人员，1护理管理人员，2失能人员，3鉴定人员，4鉴定管理人员，5监管人员，6监管管理人员）
     */
    private String userType;

    /**
     * null
     */
    private Date fcd;

    /**
     * 是否创建成功
     */
    private String isCreate;

    /**
     * 性别（f女m男n不确定）
     */
    private String sex;

    /**
     * 出生日期
     */
    private String birthday;
}
