package com.hungraim.ltc.pojo.entity.role;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("TPPES_CH_USER_ROLE")
public class TppesChUserRole {
    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 角色ID
     */
    private Integer roleId;

    /**
     * 删除状态  0 在用  1停用 逻辑删除
     */
    private Integer status;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;

    /**
     * 用户类型  0 护理人员  1鉴定人员  2 监管人员
     */
    private Integer empType;
}
