package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_ORGAN_EMP
 * @author 
 */
@Data
@TableName("CH_ORGAN_EMP")
@KeySequence("SEQ_CH_ORGAN_EMP")
public class ChOrganEmp implements Serializable {
    /**
     * 人员id
     */
    @TableId(type = IdType.INPUT)
    private Long basicEmpId;

    /**
     * 人员姓名
     */
    private String basicEmpName;

    /**
     * 证件类型ID
     */
    private String certifTypeId;

    /**
     * 证件类型名称
     */
    private String certifTypeName;

    /**
     * 证件号码
     */
    private String certifNum;

    /**
     * 性别 男：M; 女:F; 不确定:N
     */
    private String gender;

    /**
     * 学历ID
     */
    private Long eduId;

    /**
     * 学历名称
     */
    private String eduName;

    /**
     * 手机号码
     */
    private String tel;

    /**
     * 数据来源 网厅：0；核心：1；微信：2
     */
    private Short dataFrom;

    /**
     * 状态 有效:0; 无效:1
     */
    private Short status;

    /**
     * 出生年月日
     */
    private Date birthday;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    private static final long serialVersionUID = 1L;
}