package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_SRV_TASK
 * @author 
 */
@Data
@TableName("CH_SRV_TASK")
@KeySequence("SEQ_CH_SRV_TASK")
public class ChSrvTask implements Serializable {
    /**
     * 服务任务id
     */
    @TableId(type = IdType.INPUT)
    private Long srvTaskId;

    /**
     * 护理人员id
     */
    private Long srvEmpId;

    /**
     * 护理日期
     */
    private Date srvDate;

    /**
     * 状态  0未分配  1已分配
     */
    private Short status;

    /**
     * 失能人员id
     */
    private Long disabInfoId;

    /**
     * 创建人
     */
    private Long defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Long endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作时间
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

    /**
     * 服务方案ID
     */
    private Long programId;

    /**
     * 数据来源 网厅：0，核心：1
     */
    private Short dataFrom;

    /**
     * 网厅创建人
     */
    private Long webDefineEmp;

    /**
     * 网厅终止人
     */
    private Long webEndEmp;

    private static final long serialVersionUID = 1L;
}