package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("TPPES_CHH5_PICTURE1")
public class TppesChh5Picture1 {
    /**
     * null
     */
    private BigDecimal pictureId;

    /**
     * 微信mediaId
     */
    private String mediaId;

    /**
     * 照片路径
     */
    private String filePath;

    /**
     * 照片名称
     */
    private String fileName;

    /**
     * 创建日期
     */
    private Date fcd;

    /**
     * 创建用户（网厅用户）
     */
    private Integer fcu;

    /**
     * 读取日期
     */
    private Date lcd;

    /**
     * 是否读取（Y：已读取；N：未读取）
     */
    private String isRead;

    /**
     * 长护护理人员id
     */
    private String chUserId;

    /**
     * 长护失能人员id
     */
    private String chDisabId;

    /**
     * 方案id
     */
    private String programId;

    /**
     * 1：开始服务照片；2：结束服务照片；3：基准照片
     */
    private String stepId;

    /**
     * 前置机文件路径
     */
    private String frontFilePath;
}
