package com.hungraim.ltc.pojo.entity.system;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 系统资源表，用于权限验证
 *
 * @author hubin
 */
@Data
@TableName("LTC_RESOURCE")
public class SystemResource {

    @TableId
    private Long resourceId;
    private String resourceName;
    private String resourceUrl;
    private String method;
    private String resourceType;
    private Long parentId;
    private String resourceIcon;
    private Date createdTime;

    @TableField(exist = false)
    private List<Long> roleIds;

}

