package com.hungraim.ltc.pojo.vo.assessment;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class TaskDistributionVO {
    //鉴定任务id
    private Integer taskId;
    //任务明细id
    private Integer applyId;
    //适用机构
    private String organName;
    //机构代码
    private String aprOrganId;
    //机构所在省市区
    private String districtProvincial;
    private String districPity;
    private String districtArea;
    //失能人员姓名
    private String realName;
    //申请日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date fcd;
    //失能人员身份证号码
    private String certiCode;
    //保单号
    private String polNo;
    //备注
    private String remark;
    //年龄
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;//出生年月
    //诊断疾病
    private String diseTypeF;//大类
    private String diseTypeS;//小类
    //失能人员联系电话
    private String tel;
    //失能人员性别
    private String gender;
    //失能人员所在省市区
    private String disDistrictProvincial;
    private String disDistrictCity;
    private String disDistrictArea;
    //失能人员现住址
    private String adressDistrictProvincial;
    private String adressDistrictCity;
    private String adressDistrictCode;
    //接受评定地址省市区街道
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    //失能人员接受服务地址
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    //评定截止日期
    private Date endTime;
    //评定人员id
    private Integer empId;
    //评定人员姓名
    private String empRealName;
    //评定人员手机号码
    private String empTel;
    //评定人员身份证号
    private String empCertiCode;
    //评定人员所属机构id
    private String empAprOrganId;
    //评定人员所属机构名称
    private String empOrganName;
    //任务分配时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date assignTime;
    //任务接受时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date acceptTime;
    //任务完成时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date finishTime;
    //任务状态
    private Integer taskStatus;
    //拒绝原因
    private String refuseReason;
    //备注
    private String refuseRemark;
}
