package com.hungraim.ltc.pojo.vo.assessment;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class TaskGroupInfoListInfoVO {
    /**
     * 分组id
     */
    private String taskPushId;
    /**
     * 申请人姓名
     */
    private String realName;
    /**
     * 所在省市区
     */
    private String districtProvincial;
    private String districPity;
    private String districtArea;
    /**
     * 身份证号码
     */
    private String certiCode;
    /**
     * 出生年月
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    /**
     * 性别
     */
    private String gender;
    /**
     * 手机号
     */
    private String tel;
    /**
     * 诊断疾病
     */
    private String diseTypeF;
    private String diseTypeS;
    /**
     * 病情描述及诊断
     */
    private String diseaseDesc;
    /**
     * 现住址
     */
    private String adressDistrictProvincial;
    private String adressDistrictCity;
    private String adressDistrictCode;
    /**
     * 接受评定地址
     */
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    /**
     * 申请日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date effTime;
    /**
     * 评定截止日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date lastAprDate;
    /**
     * 组长姓名
     */
    private String empRealName;
    /**
     * 组长身份证号码
     */
    private String empCertiCode;
    /**
     * 组长手机号码
     */
    private String empTel;
    /**
     * 拒绝时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date acceptTime;
    /**
     * 拒绝原因
     */
    private String refuseReason;
    /**
     * 操作机构
     */
    private String refuseOrganName;
    /**
     * 操作人
     */
    private String refuseEmp;
    /**
     * 状态
     */
    private String status;
    /**
     * 备注
     */
    private String refuseRemark;
}
