package com.hungraim.ltc.pojo.vo.assessment;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 评定任务分组管理列表VO
 */
@Data
public class TaskGroupVO {
    //任务推送id
    private Integer taskPushId;
    //任务分配日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date assignTime;
    //机构代码
    private Integer aprOrganId;
    //适用机构
    private String organName;
    //评定机构
    private String empOrganName;
    //评定起点地址
    private String routeStatrtLocation;
    //组号
    private String groupNumber;
    //评定人员姓名
    private String realName;
    //评定人员身份证号码
    private String certiCode;
    //评定人员手机号码
    private String tel;
    //组状态
    private Integer status;
}
