package com.hungraim.ltc.pojo.vo.disable;

import lombok.Data;

import java.util.Date;

/**
 * 失能审核信息详情VO
 */
@Data
public class DisableEvaluateInfoVO {
    //***失能人员个人信息
    //机构
    private String organId;
    private String organName;
    //所在省市
    private String provincial;
    private String city;
    private String area;
    //申请人姓名
    private String name;
    //身份证号码
    private String certiCode;
    //出生年月日
    private Date birthday;
    //性别
    private String gender;
    //手机
    private String tel;
    //所在户籍
    private String regist;
    //固话
    private String fixedTel;
    //待遇类型
    private String treatmentType;
    //接受评定地址
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    private String acptAddress;
    //接受服务地址
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    private String acptSrvStreet;
    private String acptSrvRoadDetail;

    //***失能人员医疗及失能信息
    //诊断疾病
    private String disease;
    //申请服务方式
    private String applyMethod;
    //病情描述及诊断
    private String diseaseDesc;
    //社会保障卡号
    private String medicalCard;
    //医保类型
    private String medicalType;
    //意向服务机构
    private String srvOrganId;
    //意向服务机构执业许可证登记号
    private String permitId;

    //***评定人信息
    //评定人员1
    private String p1;
    //评定人员1所属机构
    private String p1organ;
    //评定人员1身份证号码
    private String p1CertiCode;
    //评定人员1手机号码
    private String p1Tel;
    //评定人员2
    private String p2;
    //评定人员2所属机构
    private String p2Organ;
    //评定人员2身份证号码
    private String p2CertiCode;
    //评定人员2手机号码
    private String p2Tel;
    //评定人员3
    private String p3;
    //评定人员3所属机构
    private String p3Organ;
    //评定人员3身份证号码
    private String p3CertiCode;
    //评定人员3手机号码
    private String p3Tel;
    //评估时间
    private String operTel;

}
