package com.hungraim.ltc.pojo.vo.disable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 失能人员信息列表VO
 */
@Data
public class DisableInfoVO implements Serializable {
    /**
     * 失能人员id
     */
    private String disabInfoId;
    /**
     * 姓名
     */
    private String realName;
    /**
     * 所在省市区
     */
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    /**
     * 手机号码
     */
    private String tel;
    /**
     * 性别
     */
    private String gender;
    /**
     * 诊断疾病
     */
    private String disease;
    /**
     * 家庭住址
     */
    private String adressDistrictProvincial;
    private String adressDistrictCity;
    private String adressDistrictCode;
    /**
     * 评定等级
     */
    private String evaluateRating;
    /**
     * 评定完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date finishTime;
    /**
     * 申请服务方式
     */
    private String srvModeName;
    /**
     * 接受服务地址
     */
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
}
