package com.hungraim.ltc.pojo.vo.governance;

import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * 护理服务项目列表VO
 */
@Data
public class NursingServiceItemsVO extends PageInfo implements Serializable {
    /**
     * 护理服务项目id
     */
    private Integer projectId;
    /**
     * 适用机构
     */
    private String srvOrganName;
    /**
     * 机构代码
     */
    private Integer organId;
    /**
     * 模板名称
     */
    private String itemName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态
     */
    private String status;
}
