package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 服务计划查询列表VO
 */
@Data
public class SrvTaskDetailVO {
    /**
     * 服务计划详情id
     */
    private String taskDetailId;
    /**
     * 服务计划id
     */
    private String srvTaskId;
    /**
     * 服务方案id
     */
    private String programId;
    /**
     * 失能人员id
     */
    private String disabInfoId;
    /**
     * 所在省市
     */
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    /**
     * 失能人员姓名
     */
    private String realName;
    /**
     * 手机号码
     */
    private String tel;
    /**
     * 年龄
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    /**
     * 性别
     */
    private String gender;
    /**
     * 诊断疾病
     */
    private String diseTypeS;
    /**
     * 接受服务地址
     */
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    private String acptSrvStreet;
    private String acptSrvAddress;
    /**
     * 评定等级
     */
    private String evaluateRatingType;
    /**
     * 评定完成日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date finishTime;
    /**
     * 服务方式
     */
    private String srvModeName;
    /**
     * 护理机构名称
     */
    private String srvOrganName;
    /**
     * 护理服务人员
     */
    private String empName;
    /**
     * 任务时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date srvDate;
    /**
     * 任务状态
     */
    private String status;
}
