package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 服务计划制定列表VO
 */
@Data
public class SrvTaskVO {
    /**
     * 服务计划id
     */
    private String srvTaskId;
    /**
     * 服务方案id
     */
    private String programId;
    /**
     * 所在省市
     */
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    /**
     * 失能人员id
     */
    private String disabInfoId;
    /**
     * 失能人员生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    /**
     * 失能人员姓名
     */
    private String realName;
    /**
     * 手机号码
     */
    private String tel;
    /**
     * 性别
     */
    private String gender;
    /**
     * 诊断疾病
     */
    private String disease;
    private Long diseTypeF;
    private Long diseTypeS;
    /**
     * 失能等级
     */
    private String disableLevelName;
    /**
     * 评定完成日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date finishTime;

    /**
     * 服务方案状态
     */
    private Integer progStatus;
    /**
     * 服务方案起始日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date programDate;
    /**
     * 服务方案终止日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date programEdnDate;
    /**
     * 计划状态
     */
    private String taskCount;
}
