package com.hungraim.ltc.util;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 流水号生成工具
 */
public class SerialNumberUtils {

    /**
     * 生成流水号(当前时间的年月日时分秒+key)
     *
     * @param key 一秒内不会重复的字符串保证流水号的唯一性
     * @return 流水号
     */
    public static String getSerialNumber(String key) {
        DateFormat dateFormat = new SimpleDateFormat(DateUtils.DATE_PATTERN_yyyyMMddHHMMss);
        return dateFormat.format(new Date()) + key;
    }
}
