package com.hungraim.ltc.gateway.service;

import org.springframework.cloud.gateway.route.RouteDefinition;

import java.util.List;

/**
 * @author hubin
 */
public interface INacosDynamicRouteService {


  /**
   *  添加路由
   * @param definition definition
   */
  void add(RouteDefinition definition);

  /**
   * 更新路由
   * @param definition definition
   */
  void updateById(RouteDefinition definition);

  /**
   * 更新路由列表
   * @param definitions definitions列表
   */
  void updateList(List<RouteDefinition> definitions);

  /**
   * 删除路由
   * @param definitionId definitions列表
   */
  void delete(String definitionId);

}
