package com.hungraim.ltc.governance.controller;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.hungraim.ltc.governance.service.IBuildBedService;
import com.hungraim.ltc.governance.service.IRemoveBedService;
import com.hungraim.ltc.pojo.entity.governance.ChSrvBuildBed;
import com.hungraim.ltc.pojo.entity.governance.ChSrvRemoveBed;
import com.hungraim.ltc.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author jiaguokai
 */
@RestController
@RequestMapping("/api.governance/")
@Slf4j
public class RemoveBedController {
    @Resource
    private IRemoveBedService removeBedService;
    @Resource
    private IBuildBedService buildBedService;

    @PostMapping("/")
    public Result removeOne(ChSrvRemoveBed removeBed) {
        Integer buildBedId = removeBed.getBuildBedId();
        buildBedService.update(new LambdaUpdateWrapper<ChSrvBuildBed>().eq(ChSrvBuildBed::getBuildBedId, buildBedId).set(ChSrvBuildBed::getStatus, 1));

        return Result.success(removeBedService.removeOne(removeBed));
    }


}
