package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.governance.dao.BuildBedMapper;
import com.hungraim.ltc.governance.service.IBuildBedService;
import com.hungraim.ltc.pojo.entity.governance.ChSrvBuildBed;
import com.hungraim.ltc.pojo.vo.governance.BuildBedSearchReq;
import com.hungraim.ltc.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author jiaguokai
 */
@Slf4j
@Service
public class BuildBedServiceImpl extends ServiceImpl<BuildBedMapper, ChSrvBuildBed> implements IBuildBedService {
    @Resource
    private BuildBedMapper buildBedMapper;

    @Override
    public Result searchOrgBed(BuildBedSearchReq req) {
//        QueryWrapper<ChSrvBuildBed> queryWrapper = new QueryWrapper<>();
//        queryWrapper.eq("SRV_ORGAN_ID", req.getSrvOrganId());
//        if (StrUtil.isNotBlank(req.getRealName())) {
//            queryWrapper.like("REAL_NAME", req.getRealName());
//        }
//        if (StrUtil.isNotBlank(req.getCertiCode())) {
//            queryWrapper.eq("CERTI_CODE", req.getCertiCode());
//        }
//        if (req.getStatus() != null && req.getStatus() != 2) {
//            queryWrapper.eq("STATUS", req.getStatus());
//        }
//        Page<ChSrvBuildBed> page = buildBedMapper.selectPage(new Page<>(req.getPageNum(), req.getPageSize()), queryWrapper);

        if (2 == req.getStatus()) {
            req.setStatus(null);
        }
        Page page = buildBedMapper.searchOrgBed(new Page<>(req.getPageNum(), req.getPageSize()), req);
        return Result.success(page);
    }


}
