package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.disable.DisableEvaluateInfoVO;
import com.hungraim.ltc.pojo.vo.disable.DisableEvaluateVO;
import com.hungraim.ltc.governance.dao.DisableEvaluateMapper;
import com.hungraim.ltc.governance.service.DisableEvaluateService;
import com.hungraim.ltc.pojo.entity.disable.ChDisableEvaluate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DisableEvaluateServiceImpl implements DisableEvaluateService {

    @Autowired
    private DisableEvaluateMapper disableEvaluateList;

    @Override
    public IPage<DisableEvaluateVO> disableEvaluateList(String organId, Long srvOrganId, String realName, String certiCode, int pageNum, int pageSize) {
        return disableEvaluateList.disableEvaluateList(new Page(pageNum, pageSize), organId, srvOrganId,realName, certiCode );
    }

    @Override
    public DisableEvaluateInfoVO disableEvaluateInfo(String evaluateId) {
        return disableEvaluateList.selectDisableEvaluateInfoByEvaluateId(evaluateId);
    }

    @Override
    public void addEvaluate(ChDisableEvaluate disableEvaluate) {
        disableEvaluateList.insert(disableEvaluate);
    }

    @Override
    public void disableEvaluate(String applyId, String checkName, Short applyStatus, String checkRemark) {
        /*ChDisableApply chDisableApply = disableEvaluateList.selectById(applyId);
        chDisableApply.setCheckName(checkName);
        chDisableApply.setApplyStatus(applyStatus);
        chDisableApply.setCheckRemark(checkRemark);*/
    }

}