package com.hungraim.ltc.governance.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.governance.dao.ChSrvOrganProjectMapper;
import com.hungraim.ltc.governance.service.NursingServiceItemsService;
import com.hungraim.ltc.pojo.vo.governance.NursingServiceItemsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

@Service
public class NursingServiceItemsServiceImpl implements NursingServiceItemsService {

    @Autowired
    private ChSrvOrganProjectMapper chSrvOrganProjectMapper;

    @Override
    public Page<NursingServiceItemsVO> nursingServiceItemsList(Page<NursingServiceItemsVO> page, String organIds, String name, String status) {
        List<String> organIdList = null;
        if (StrUtil.isNotBlank(organIds)) {
            organIdList = Arrays.asList(organIds.split(","));
        }
        return chSrvOrganProjectMapper.nursingServiceItemsList(page, organIdList, name, status);
    }

}
