package com.hungraim.ltc;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 系统服务，后台运行的一些业务写在这个服务下，比如定时服务等
 * @author hubin
 */
@SpringBootApplication
@EnableDiscoveryClient
@EnableScheduling
public class SystemApplication {
  public static void main(String[] args) {
    SpringApplication.run(SystemApplication.class, args);
  }

}
